package cn.com.countrygarden.bi.main.dto;

import java.util.Date;
import java.util.List;

import javax.persistence.Column;

import com.fasterxml.jackson.annotation.JsonFormat;

public class PersonnelAdvisorDTO {
	
	   private Integer id;
	   	   
	    /**
	     * 人才信息_ID
	     */	 	
	    private Integer personnelId;
	    
	    private String regionName;
	    
	    /**
	     * 人才信息用户ID
	     */	 
	    private String userId;
	    
	    /**
	     * 用户姓名
	     */
	    private String name;
	    /**
	     *  /**
	     * 标签id
	     */
	    private Integer personneltagId;
	    /**
	     *  /**
	     * 标签
	     */
	    private String identity;
	    /**
	     * 导师类型ID
	     */	 	
	    private Integer personnelTypeId;
	    /**
	     *   /**
	     * 导师类型
	     */	 	
	    private String advisortype;
	    /**
	     * 导师_id
	     */	 	
	    private String advisorUserId;
	   
	    
	    //导师姓名
	    private String advisorUserName;
		 /**
	     * 导师部门
	     */	 	
	 	private String dept;
	    /**
	 	 /**
	     * 导师岗位
	     */	 	
	 	private String mentorpost;
	    /**
	     * 转正评估
	     */	 	
	    private String positivevaluation;
	    /**
	     * 定岗评估
	     */	 	
	    private String fixedpostevaluation;
	    private String filesame;
	    
	    private String positivescore; //转正评分
	    
	    private String fixedscore;//定岗评分
	    
	    /**
	     * 附件
	     */	 	
	    private String files;
	    /**
	     * 标识字段（0:false，1:true）
	     */	 	
	    private Integer flag;
	    
	    /**
	     * 导师开始时间
	     */
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date startTime;	
		  /**
	   * 导师结束时间
	   */
	  @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	  private Date terminalTime;
	    
	    
	    /**
	     * 开始时间
	     */
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date begindate;
	    /**
	    
	       /**
	     * 结束时间
	     */
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date enddate;
	    
	    /**
	     * 添加时间
	     */
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date additionTime;
	    
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date normalTime;//转正时间
	    
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date  fixedTime;//定岗时间
	   
	    
	    public Date getNormalTime() {
			return normalTime;
		}
		public void setNormalTime(Date normalTime) {
			this.normalTime = normalTime;
		}
		/**
	     * 创建时间
	     */
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date createdDate;
	    /**
	     * 创建人
	     */	 	
	    private String createdBy;
	    /**
	     * 创建人名字
	     */	 	
	    private String createdName;
	    /**
	     * 修改时间
	     */
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date updatedDate;
	    /**
	     * 修改人
	     */	 	
	    private String updatedBy;
	    
	    private List<PersonnelAdvisorDTO> perslAdvisordtos;
	    
	    private List<PersonnelAdvisorDTO> perslAdvisordtosty;
		public Integer getId() {
			return id;
		}
		public void setId(Integer id) {
			this.id = id;
		}
		public Integer getPersonnelId() {
			return personnelId;
		}
		public void setPersonnelId(Integer personnelId) {
			this.personnelId = personnelId;
		}
		public Integer getPersonnelTypeId() {
			return personnelTypeId;
		}
		public void setPersonnelTypeId(Integer personnelTypeId) {
			this.personnelTypeId = personnelTypeId;
		}
		public String getAdvisorUserId() {
			return advisorUserId;
		}
		public void setAdvisorUserId(String advisorUserId) {
			this.advisorUserId = advisorUserId;
		}
		public String getAdvisorUserName() {
			return advisorUserName;
		}
		public void setAdvisorUserName(String advisorUserName) {
			this.advisorUserName = advisorUserName;
		}
		public String getMentorpost() {
			return mentorpost;
		}
		public void setMentorpost(String mentorpost) {
			this.mentorpost = mentorpost;
		}
		public String getPositivevaluation() {
			return positivevaluation;
		}
		public void setPositivevaluation(String positivevaluation) {
			this.positivevaluation = positivevaluation;
		}
		public String getFixedpostevaluation() {
			return fixedpostevaluation;
		}
		public void setFixedpostevaluation(String fixedpostevaluation) {
			this.fixedpostevaluation = fixedpostevaluation;
		}
		public String getFiles() {
			return files;
		}
		public void setFiles(String files) {
			this.files = files;
		}
		public Integer getFlag() {
			return flag;
		}
		public void setFlag(Integer flag) {
			this.flag = flag;
		}
		public Date getCreatedDate() {
			return createdDate;
		}
		public void setCreatedDate(Date createdDate) {
			this.createdDate = createdDate;
		}
		public String getCreatedBy() {
			return createdBy;
		}
		public void setCreatedBy(String createdBy) {
			this.createdBy = createdBy;
		}
		public String getCreatedName() {
			return createdName;
		}
		public void setCreatedName(String createdName) {
			this.createdName = createdName;
		}
		public Date getUpdatedDate() {
			return updatedDate;
		}
		public void setUpdatedDate(Date updatedDate) {
			this.updatedDate = updatedDate;
		}
		public String getUpdatedBy() {
			return updatedBy;
		}
		public void setUpdatedBy(String updatedBy) {
			this.updatedBy = updatedBy;
		}
	
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getUserId() {
			return userId;
		}
		public void setUserId(String userId) {
			this.userId = userId;
		}
		public String getFilesame() {
			return filesame;
		}
		public void setFilesame(String filesame) {
			this.filesame = filesame;
		}
		public String getIdentity() {
			return identity;
		}
		public void setIdentity(String identity) {
			this.identity = identity;
		}
		public String getAdvisortype() {
			return advisortype;
		}
		public void setAdvisortype(String advisortype) {
			this.advisortype = advisortype;
		}
		public String getDept() {
			return dept;
		}
		public void setDept(String dept) {
			this.dept = dept;
		}
		public Date getBegindate() {
			return begindate;
		}
		public void setBegindate(Date begindate) {
			this.begindate = begindate;
		}
		public Date getEnddate() {
			return enddate;
		}
		public void setEnddate(Date enddate) {
			this.enddate = enddate;
		}
		public List<PersonnelAdvisorDTO> getPerslAdvisordtos() {
			return perslAdvisordtos;
		}
		public void setPerslAdvisordtos(List<PersonnelAdvisorDTO> perslAdvisordtos) {
			this.perslAdvisordtos = perslAdvisordtos;
		}
		public List<PersonnelAdvisorDTO> getPerslAdvisordtosty() {
			return perslAdvisordtosty;
		}
		public void setPerslAdvisordtosty(List<PersonnelAdvisorDTO> perslAdvisordtosty) {
			this.perslAdvisordtosty = perslAdvisordtosty;
		}
		public Integer getPersonneltagId() {
			return personneltagId;
		}
		public void setPersonneltagId(Integer personneltagId) {
			this.personneltagId = personneltagId;
		}
		public Date getAdditionTime() {
			return additionTime;
		}
		public void setAdditionTime(Date additionTime) {
			this.additionTime = additionTime;
		}
		public Date getStartTime() {
			return startTime;
		}
		public void setStartTime(Date startTime) {
			this.startTime = startTime;
		}
		public Date getTerminalTime() {
			return terminalTime;
		}
		public void setTerminalTime(Date terminalTime) {
			this.terminalTime = terminalTime;
		}
		public Date getFixedTime() {
			return fixedTime;
		}
		public void setFixedTime(Date fixedTime) {
			this.fixedTime = fixedTime;
		}
		public String getRegionName() {
			return regionName;
		}
		public void setRegionName(String regionName) {
			this.regionName = regionName;
		}
		public String getPositivescore() {
			return positivescore;
		}
		public void setPositivescore(String positivescore) {
			this.positivescore = positivescore;
		}
		public String getFixedscore() {
			return fixedscore;
		}
		public void setFixedscore(String fixedscore) {
			this.fixedscore = fixedscore;
		}
		
		
}
